## org.eclipse.jst.jsf.designtime.resolver
Interface IStructuredDocumentSymbolResolverFactory

All Known Implementing Classes:
  AbstractStructuredDocumentSymbolResolverFactory, StructuredDocumentSymbolResolverFactory

    public interface IStructuredDocumentSymbolResolverFactory

A factory for symbol context resolvers. Clients may use but implement this interface. To implement, sub-class AbstractStructuredDocumentSymbolResolverFactory

Method Summary
`ISymbolContextResolver` `getSymbolContextResolver(IModelContext context)`

Method Detail

### getSymbolContextResolver

    ISymbolContextResolver getSymbolContextResolver(IModelContext context)

  Parameters:
    `context` -
  Returns:
    a new instance of symbol resolver for context